import Image from 'next/image'
import clsx from 'clsx'

import logoGebOS from '@/images/logos/GebOS_Logo.png'

export function Logo({
  className,
  white = false,
  ...props
}: Omit<React.ComponentPropsWithoutRef<typeof Image>, 'src' | 'alt'> & {
  white?: boolean
}) {
  return (
    <Image
      src={logoGebOS}
      alt="GebOS"
      priority
      className={clsx(white && 'brightness-0 invert', className)}
      {...props}
    />
  )
}
